package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.omp.pojo.io.CallRecordsIO;
import com.zy.omp.model.CallRecords;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 通话记录 Mapper
 * <p>
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface CallRecordsMapper extends BaseMapper<CallRecords> {

    /**
     * 分页查询通话记录
     *
     * @param io 查询参数
     */
    IPage<CallRecords> getListPage(Page<CallRecords> page, @Param("io") CallRecordsIO io);
}
