package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备信息
 */
@Data
@TableName("device")
public class Device {
    @TableId
    private Integer id;

    /**
     * 设备随机码
     */
    private String num;

    /**
     * MQTT clientId
     */
    private String clientId;

    /**
     * MQTT 密码
     */
    private String password;

    /**
     * 设备组
     */
    private String group;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 最后一次在线时间
     */
    private LocalDateTime lastOnlineTime;

    /**
     * 1:在线 0:离线
     */
    private Integer status;
}
