package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 其他设置
 */
@Data
@TableName("set_base")
public class SetBase {

    @TableId
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 系统音量
     */
    private Integer msgVol;

    /**
     * 通话音量
     */
    private Integer phoneVol;

    /**
     * 铃声音量
     */
    private Integer ringVol;

    /**
     * 自动接听
     */
    private Integer autoAnswer;

    /**
     * 设备连续定位设置  1:开启 0:关闭
     */
    private Integer highFreq;

    /**
     * 定位频率 单位小时
     */
    private Integer gpsRate;

    /**
     * SOS按键 拨号姓名
     */
    private String key0Name;
    /**
     * SOS按键 拨号号码
     */
    private String key0Phone;

    /**
     * key1按键 拨号姓名
     */
    private String key1Name;
    /**
     * key1按键 拨号号码
     */
    private String key1Phone;

    /**
     * key2按键 拨号姓名
     */
    private String key2Name;
    /**
     * key2按键 拨号号码
     */
    private String key2Phone;

    //服务器地址
    private String serverHost;
    //服务器端口
    private Integer serverPort;
}
