package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.omp.pojo.vo.DeviceFullDataVo;
import com.zy.omp.model.LatestLocation;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备最新位置信息
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface LatestLocationMapper extends BaseMapper<LatestLocation> {

    /**
     * 获取所有设备最新的位置信息
     */
    List<DeviceFullDataVo> getLatestLocation();
}
