package com.zy.omp.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.pojo.vo.DeviceFullDataVo;
import com.zy.omp.mapper.LatestLocationMapper;
import com.zy.omp.model.LatestLocation;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备位置信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class LatestLocationService extends ServiceImpl<LatestLocationMapper, LatestLocation> {

    /**
     * 获取所有设备最新的位置信息
     */
    public List<DeviceFullDataVo> getLatestLocation() {
        return baseMapper.getLatestLocation();
    }
}
